2

I have upgraded from Magento CE 2.3.3 to 2.3.4 and on the checkout I get this error: kout

Has anyone had this problem before?

Theres nothing in the logs and I am on developer mode with debugging enabled.

  • Have you tried grepping the code for the error message? This may at least give you some useful clues, e.g. whether the error is generated within Magento or occurs in an interaction between the browser and an external API. A lot of payment methods are handled in the latter fashion, so their errors are never visible to Magento and can't be logged. – jiheison Jan 30 at 20:25
  • Having the same issue! Fresh 2.3.3 install, with 2.3.4 upgrade. app/design/frontend/module/vendor/requirejs-config.js Can't find this file - anyone else having an issue? Losing sales as I didn't think this would cause an issue. – Jack Feb 8 at 12:59
  • 2
    Replace vendor/magento/module-checkout/model/Session.php with the 2.3.3 version - seemed to fix it for me – Callum Aubrey Feb 9 at 18:03
1

Create custom class & copy required functionality of vendor/magento/module-checkout/model/Session.php class file of Magento 2.3.3 version in it.

Then, use that custom class in Magento 2.3.4 version where you have added dependency of Magento\Checkout\Model\Session class file.

Or you can use '\Magento\Checkout\Model\Cart' class file to get all visible items of cart.

$this->cart->getCheckoutSession()->getQuote()->getAllVisibleItems();

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.